#<profile4xi profile = "10" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "terminate4xi.py">
#<abstract4xi abstract = "provides function terminate4xi.py"/>
#<refer4xi reference = "DragonXi"/> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'terminate4xi' ]  
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread 
import _winapi  

import signal
import itertools
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
  
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                               
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from constant_process4xi import get_terminate_process4xi
from print4xi import print4xi
from time4xi import time4xi
#"
#/>

                     
# -------------------------------------------------------------------------------------------------
#<function4xi function = "terminate4xi" usage = "
# None
#">
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
#
def terminate4xi():          
    '''
    terminate4xi function return the value of TERMINATE_PROCESS4XI 
    '''
    class2print = "make_property4xi"
    method2print = "make_property4xi"

    message2print = "{started" + "; terminate4xi-started: " + str(terminate4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    
    # -----------------------------------------------------------------------------------------    
    # 
    # ----------------------------------------------------------------------------------------- 
    message2print = "{returning" + "; get_terminate-process4xi-function-returning-by-terminate4xi: " + str(get_terminate_process4xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print) 
            
    
    return get_terminate_process4xi() #TERMINATE_PROCESS4XI dragonized
    
#</function4xi>
#</program4xi> 


# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
# None
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of terminate4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
